<!DOCTYPE html>
<html lang="en">

    <head>
        <meta charset="utf-8">
        <title>User Details | Student Dashboard</title>
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <meta
            content="A fully featured admin theme which can be used to build CRM, CMS, etc."
            name="description">
        <meta content="Coderthemes" name="author">
        <!-- App favicon -->
        <link rel="shortcut icon" href="../img/favicon.ico">

        <!-- third party css -->
        <link href="../css/vendor/jquery-jvectormap-1.2.2.css" rel="stylesheet"
            type="text/css">
        <link href="../css/vendor/dataTables.bootstrap5.css" rel="stylesheet"
            type="text/css">
        <link href="../css/vendor/responsive.bootstrap5.css" rel="stylesheet"
            type="text/css">
        <link href="../css/vendor/buttons.bootstrap5.css" rel="stylesheet"
            type="text/css">
        <link href="../css/vendor/select.bootstrap5.css" rel="stylesheet"
            type="text/css">
        <!-- third party css end -->

        <!-- App css -->
        <link href="../css/icons.min.css" rel="stylesheet" type="text/css">
        <link href="../css/app.min.css" rel="stylesheet" type="text/css"
            id="light-style">
        <link href="../css/app-dark.min.css" rel="stylesheet" type="text/css"
            id="dark-style">

    </head>

    <body class="loading"
        data-layout-config='{"leftSideBarTheme":"dark","layoutBoxed":false, "leftSidebarCondensed":false, "leftSidebarScrollable":false,"darkMode":false, "showRightSidebarOnStart": true}'>
        <!-- Begin page -->
        <div class="wrapper">
            <!-- ========== Left Sidebar Start ========== -->
            <div class="leftside-menu">

                <!-- LOGO -->
                <a href="./studentDashboard" class="logo text-center logo-light">
                    <span class="logo-lg">
                        <img src="../img/GCIT_logo.png" alt height="40">
                    </span>
                    <span class="logo-sm">
                        <img src="../img/GCIT_logo.png" alt height="40">
                    </span>
                </a>

                <!-- LOGO -->
                <a href="./studentDashboard" class="logo text-center logo-dark">
                    <span class="logo-lg">
                        <img src="../img/GCIT_logo.png" alt height="40">
                    </span>
                    <span class="logo-sm">
                        <img src="../img/GCIT_logo.png" alt height="40">
                    </span>
                </a>

                <div class="h-100" id="leftside-menu-container" data-simplebar>

                    <!--- Sidemenu -->
                    <ul class="side-nav">

                        <li class="side-nav-title side-nav-item">Navigation</li>

                        <li class="side-nav-item">
                            <a href="./studentDashboard" class="side-nav-link">
                                <i class="uil-users-alt"></i>
                                <span> My Profile </span>
                            </a>
                        </li>

                        <li class="side-nav-item">
                            <a href="./cca" class="side-nav-link">
                                <i class="uil-table"></i>
                                <span> My CCA Records </span>
                            </a>
                        </li>

                        <li class="side-nav-item">
                            <a href="./about" class="side-nav-link">
                                <i class="uil-exclamation-circle"></i>
                                <span> About </span>
                            </a>
                        </li>
                    </ul>
                    <!-- End Sidebar -->

                    <div class="clearfix"></div>

                </div>
                <!-- Sidebar -left -->
            </div>
            <!-- Left Sidebar End -->

            <!-- ============================================================== -->
            <!-- Start Page Content here -->
            <!-- ============================================================== -->

            <div class="content-page">
                <div class="content">
                    <!-- Topbar Start -->
                    <div class="navbar-custom">
                        <ul class="list-unstyled topbar-menu float-end mb-0">

                            <li class="dropdown notification-list">
                                <a
                                    class="nav-link dropdown-toggle nav-user arrow-none me-0"
                                    data-bs-toggle="dropdown" href="#"
                                    role="button" aria-haspopup="false"
                                    aria-expanded="false">
                                    <span class="account-user-avatar">
                                        <img src="userImages/<%= std.photo %>"
                                            alt="user-image"
                                            class="rounded-circle">
                                    </span>
                                    <span>
                                        <span class="account-user-name"><%=
                                            std.name%></span>
                                        <span class="account-position">Student</span>
                                    </span>
                                </a>
                                <div
                                    class="dropdown-menu dropdown-menu-end dropdown-menu-animated topbar-dropdown-menu profile-dropdown">
                                    <!-- item-->
                                    <div class=" dropdown-header noti-title">
                                        <h6 class="text-overflow m-0">Welcome !</h6>
                                    </div>

                                    <!-- item-->
                                    <a href="./studentSetting"
                                        class="dropdown-item notify-item">
                                        <i class="mdi mdi-account-edit me-1"></i>
                                        <span>Settings</span>
                                    </a>

                                    <!-- item-->
                                    <a href="/logout"
                                        class="dropdown-item notify-item">
                                        <i class="mdi mdi-logout me-1"></i>
                                        <span>Logout</span>
                                    </a>
                                </div>
                            </li>
                        </ul>
                        <button
                            class="button-menu-mobile open-left button-collapse">
                            <i class="mdi mdi-menu"></i>
                        </button>

                    </div>
                    <!-- end Topbar -->

                    <!-- Start Content-->
                    <div class="container-fluid">

                        <!-- start page title -->
                        <div class="row">
                            <div class="col-12">
                                <div class="page-title-box">
                                    <h4 class="page-title">Student Details</h4>
                                </div>
                            </div>
                        </div>
                        <!-- end page title -->

                        <div class="row">
                            <div class="col-sm-12 ">
                                <!-- Profile -->
                                <div class="card bg-primary">
                                    <div class="card-body profile-user-box">
                                        <div class="row">
                                            <div class="col-sm-10">
                                                <div
                                                    class="row align-items-center">
                                                    <div class="col-auto">
                                                        <div class="avatar-lg">
                                                            <img
                                                                src="userImages/<%= std.photo %>"
                                                                alt
                                                                class="rounded-circle img-thumbnail">
                                                        </div>
                                                    </div>
                                                    <div class="col">
                                                        <div class="spacing">
                                                            <h4
                                                                class="mt-1 mb-2 text-white"><%=
                                                                std.name %></h4>
                                                            <p
                                                                class="font-13 text-white-50"><strong>Email:</strong>
                                                                <%= std.email %></p>
                                                            <p
                                                                class="font-13 text-white-50"><strong>Course:</strong>
                                                                <%= std.course
                                                                %></p>
                                                            <p
                                                                class="font-13 text-white-50"><strong>Year:</strong>
                                                                <%= std.year %></p>
                                                        </div>
                                                    </div>
                                                    <di
                                                        class="col-sm-1 text-sm-end">
                                                        <div class="avatar-xl"
                                                            id="award">
                                                            <!-- <img src="userImages/<%= std.photo %>" alt="" id="award"class="avatar-title bg-success rounded-circle"> -->

                                                        </div>

                                                    </div>
                                                </div>
                                            </div> <!-- end col-->
                                        </div> <!-- end row -->
                                    </div> <!-- end row -->
                                </div> <!-- end card-body/ profile-user-box-->
                            </div><!--end profile/ card -->
                        </div> <!-- end col-->

                        <div class="row">

                            <div class="col-xl-6">
                                <div class="card" style="min-height: 550px;">
                                    <div class="card-body">
                                        <h4 class="header-title" id="grade"></h4>
                                        <hr>
                                        <table
                                            class="table table-bordered table-centered mb-0">
                                            <thead>
                                                <tr>
                                                    <th>Components</th>
                                                    <th>CCA Points Achieved</th>
                                                    <th>Points needed to achieve 
                                                        Platinum</th>

                                                </tr>
                                            </thead>

                                            <tbody>
                                                <tr>
                                                    <td>Participation</td>
                                                    <td id="participation"><%=participation%></td>
                                                    <td id="par"><%=par%></td>


                                                </tr>
                                                <tr>
                                                    <td>Enrichment</td>
                                                    <td id="enrichment"><%=enrichment%></td>
                                                    <td id="enrich"><%=enrich%></td>

                                                </tr>
                                                <tr>
                                                    <td>Achievement</td>
                                                    <td id="achievement"><%=achievement%></td>
                                                    <td id="achiev"><%=achiev%></td>

                                                </tr>
                                                <tr>
                                                    <td>Representation</td>
                                                    <td id="representation"><%=representation%></td>
                                                    <td id="repre"><%=repre%></td>

                                                </tr>
                                                <tr>
                                                    <td>Leadership</td>
                                                    <td id="leadership"><%=leadership%></td>
                                                    <td id="leader"><%=leader%></td>

                                                </tr>
                                                <tr>
                                                    <td>Service</td>
                                                    <td id="service"><%=service%></td>
                                                    <td id="ser"><%=ser%></td>

                                                </tr>
                                                <tr data-spy="affix">
                                                    <td><strong>Total</strong></td>
                                                    <td id="total"><%=total %></td>
                                                    <td id="tot"><%=tot%></td>
                                                </tr>
                                            </tbody>
                                        </table>
                                        
                                <p class="text-muted mt-3"> * Minimum 12 points under either achievement or leadership 
                                </p>
                                    </div>
                                </div>
                            </div>
                            <div class="col-xl-6">
                                <div class="card" style="min-height: 550px;">
                                    <div class="card-body">
                                        <h4 class="header-title">
                                            <%= std.name %>'s Progress
                                        </h4>
                                        <hr>
                                        <% if (total === 0) { %>
                                            <p>No CCA Points yet</p>
                                        <% } else { %>
                                            <div id="carouselExampleControls"
                                                class="carousel slide"
                                                data-bs-ride="carousel">
                                                <div class="carousel-inner"
                                                    role="listbox">
                                                    <div class="carousel-item active">
                                                        <div dir="ltr"
                                                            class="graph-margin">
                                                            <div
                                                                id="basic-radialbar"
                                                                class="apex-charts"
                                                                data-colors="#cc7000"></div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        <% } %>
                                    </div>
                                </div>
                            </div>
                            
                            
                        </div>

                    </div>
                    <!-- content -->

                    <!-- Footer Start -->
                    <footer class="footer">
                        <div class="container-fluid">
                            <div class="row">
                                <div class="col-md-6">
                                    <script>document.write(new Date().getFullYear())</script>
                                    © GCIT
                                </div>
                            </div>
                        </div>
                    </footer>
                    <!-- end Footer -->

                </div>

                <!-- ============================================================== -->
                <!-- End Page content -->
                <!-- ============================================================== -->

            </div>
            <!-- END wrapper -->

            <!-- bundle -->
            <script src="../js/vendor.min.js"></script>
            <script src="../js/app.min.js"></script>

            <!-- third party js -->
            <script src="../js/vendor/apexcharts.min.js"></script>
            <!-- <script src="../js/student.js"></script> -->

            <!-- for table -->
            <script src="../js/vendor/jquery.dataTables.min.js"></script>
            <script src="../js/vendor/dataTables.bootstrap5.js"></script>
            <script src="../js/vendor/dataTables.responsive.min.js"></script>
            <script src="../js/vendor/responsive.bootstrap5.min.js"></script>
            <script src="../js/vendor/dataTables.select.min.js"></script>
            <script src="../js/vendor/dataTables.buttons.min.js"></script>

            <script
                src='https://cdnjs.cloudflare.com/ajax/libs/Chart.js/2.2.2/Chart.min.js'></script>
            <!-- third party js ends -->

            <!-- demo app -->
            <script src="../js/pages/demo.dashboard.js"></script>
            <script src="../js/pages/demo.datatable-init.js"></script>

            <script>
var grade = document.getElementById("grade")
// grade.innerHTML = "Your Grade : Silver";

var participation = parseInt(document.getElementById('participation').textContent);
var enrichment = parseInt(document.getElementById('enrichment').textContent);
var achievement = parseInt(document.getElementById('achievement').textContent);
var representation = parseInt(document.getElementById('representation').textContent);
var leadership = parseInt(document.getElementById('leadership').textContent);
var service = parseInt(document.getElementById('service').textContent);

var total = document.getElementById('total').innerHTML
var award = document.getElementById('award')


if(total>=60 && (achievement >= 12 || leadership >= 12 ) && service >= 6){
  grade.innerHTML = "Grade : Platinum";
  var pieData = [participation, enrichment, achievement, representation, leadership, service]; 
    var pieOptions = {
        chart: {
            type: 'pie',
            height: '450px',
            width: '450px'
        },
        labels: ["Participation","Enrichment", "Achievement", "Representation", "Leadership", "Service"],
        series: pieData,
        colors: ['#A04F0B', '#F6821F', '#2380B0', '#7AA640', '#548032', '#2EB3F7' ], 
        responsive: [{
            breakpoint: 480,
            options: {
                chart: {
                    width: '100%' 
                },
                legend: {
                    position: 'bottom'
                }
            }
        }]
    }
    var pieChart = new ApexCharts(document.querySelector('#basic-radialbar'), pieOptions);
    pieChart.render();

}
else if(total>=50 && (achievement >= 8 || leadership >= 8) && service >= 4){
    grade.innerHTML = "Grade : Gold";

    var pieData = [participation, enrichment, achievement, representation, leadership, service]; 
    var pieOptions = {
        chart: {
            type: 'pie',
            height: '450px',
            width: '450px'
        },
        labels: ["Participation","Enrichment", "Achievement", "Representation", "Leadership", "Service"],
        series: pieData,
        colors: ['#A04F0B', '#F6821F', '#2380B0', '#7AA640', '#548032', '#2EB3F7' ], 
        responsive: [{
            breakpoint: 480,
            options: {
                chart: {
                    width: '100%' 
                },
                legend: {
                    position: 'bottom'
                }
            }
        }]
    }
    var pieChart = new ApexCharts(document.querySelector('#basic-radialbar'), pieOptions);
    pieChart.render();
    
}
else if(total>=35 && (achievement >= 6 || leadership >= 6) && service >= 2){
    grade.innerHTML = "Grade : Silver";
    var pieData = [participation, enrichment, achievement, representation, leadership, service]; 
    var pieOptions = {
        chart: {
            type: 'pie',
            height: '450px',
            width: '450px'
        },
        labels: ["Participation","Enrichment", "Achievement", "Representation", "Leadership", "Service"],
        series: pieData,
        colors: ['#A04F0B', '#F6821F', '#2380B0', '#7AA640', '#548032', '#2EB3F7' ], 
        responsive: [{
            breakpoint: 480,
            options: {
                chart: {
                    width: '100%' 
                },
                legend: {
                    position: 'bottom'
                }
            }
        }]
    }
    var pieChart = new ApexCharts(document.querySelector('#basic-radialbar'), pieOptions);
    pieChart.render();
    
}

else if(total>=20 && service >= 2){
    grade.innerHTML = "Grade : Bronze";
    var pieData = [participation, enrichment, achievement, representation, leadership, service]; 
    var pieOptions = {
        chart: {
            type: 'pie',
            height: '450px',
            width: '450px'
        },
        labels: ["Participation","Enrichment", "Achievement", "Representation", "Leadership", "Service"],
        series: pieData,
        colors: ['#A04F0B', '#F6821F', '#2380B0', '#7AA640', '#548032', '#2EB3F7' ], 
        responsive: [{
            breakpoint: 480,
            options: {
                chart: {
                    width: '100%' 
                },
                legend: {
                    position: 'bottom'
                }
            }
        }]
    }
    var pieChart = new ApexCharts(document.querySelector('#basic-radialbar'), pieOptions);
    pieChart.render();
    
}

else{
    grade.innerHTML = "Grade : No grade";
    
    var pieData = [participation, enrichment, achievement, representation, leadership, service]; 
    var pieOptions = {
        chart: {
            type: 'pie',
            height: '450px',
            width: '450px'
        },
        labels: ["Participation","Enrichment", "Achievement", "Representation", "Leadership", "Service"],
        series: pieData,
        colors: ['#A04F0B', '#F6821F', '#2380B0', '#7AA640', '#548032', '#2EB3F7' ], 
        responsive: [{
            breakpoint: 480,
            options: {
                chart: {
                    width: '100%' 
                },
                legend: {
                    position: 'bottom'
                }
            }
        }]
    }
    var pieChart = new ApexCharts(document.querySelector('#basic-radialbar'), pieOptions);
    pieChart.render();
}   

        </script>
            <!-- end demo js-->
        </body>
    </html>
